package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityProblem;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityProblemVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProblemSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProblemDto;


/**
 * <p>
 * 质检问题表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityProblemService extends BaseService<EhsdQualityProblem> {

    /**
     * 质检问题表分页
     */
    Page<EhsdQualityProblemVo> getPage(EhsdQualityProblemSelectDto dto);

    /**
     * 质检问题表明细
     */
    EhsdQualityProblemVo detail(Long id);

    /**
     * 质检问题表新增
     */
    void add(EhsdQualityProblemDto ehsdQualityProblemDto);

    /**
     * 质检问题表编辑
     */
    void edit(EhsdQualityProblemDto ehsdQualityProblemDto);

    /**
     * 质检问题表删除
     */
    void delete(Long id);

}
